Subject: RE: [mobile-ip] Preconfigured Kbm between mobile node and corresp ondent

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Mon, 28 Oct 2002 18:10:07 +0100

> > => That's very much debatable. Pre-configured keys
  > > are widely used today in public access networks (cellular)
  > > for user authentication. If we put this in the draft
  > > without the necessary warnings, people might read it
  > > and think that they can reuse the same keys for
  > > MIPv6. In this case, you don't really know that
  > > the MN is not the Bad Guy who will use a public
  > > provider's server to bomb Victim(s). So we have
  > > to be careful about the applicability of this scenario.
  > 
  > I agree that we have to be careful.  I am suggesting that
  > anyone who goes to the trouble of preconfiguring Kbm will
  > have some business reason to do so.
  > 
  > If the mobile node is the bad guy, and it's using a
  > preconfigured Kbm to secure its communications, then
  > it is directly traceable.  Most bad guys don't like
  > pointing bright lights at themselves as they are doing
  > their dirty work, so I don;t believe this is a threat.

=> I agree that the MN would be traceable, but:

1. The user's identity can be anonymous, so you
   can't sue him/her. At best you would get a HoA. 

2. This requires a substantial amount of work in the 
   server (CN). We could do without this. 

3. We should be aiming to prevent these attacks instead
   of detecting them. 

  > 
  > I'm not suggesting that we should hold this up as a
  > preferred mechanism.  Instead, I'm suggesting that we
  > allow it, with appropriate discussion in the security
  > considerations, because it is very useful for some
  > scenarios, and it can be made very secure, and
  > the specification requires very little in order to
  > explicitly support it.

=> Right, and I am suggesting that we clearly say
"handle with care" when this is used. That's my 
comment on this issue. If no one else brings other 
points, I don't have other comments on this.

Hesham